Bug 222842 - Optimize UserManager calls to UserService
Summary: Optimize UserManager calls to UserService
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site   
(Show other bugs)
Version: rhn500
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin A. Smith
QA Contact: Brandon Perkins
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 166615
TreeView+ depends on / blocked
 
Reported: 2007-01-16 14:58 UTC by Mike McCune
Modified: 2007-04-18 17:57 UTC (History)
1 user (show)

Fixed In Version: rhn500h
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-13 17:22:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike McCune 2007-01-16 14:58:41 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Kevin A. Smith 2007-01-29 16:32:07 UTC
* Added logic to com.redhat.rhn.manager.user.UpdateUserCommand.storeUser() to
only call the UserService when a field changed for a user.

Comment 2 Kevin A. Smith 2007-01-31 14:43:31 UTC
Developer task. No QA testing needed.

Comment 3 Brandon Perkins 2007-02-05 15:01:13 UTC
Verfied as no QA testing needed.

Comment 4 Brandon Perkins 2007-03-13 14:05:05 UTC
Closed in rhn500h Release.

Comment 5 Brandon Perkins 2007-03-13 17:22:58 UTC
Closed in rhn500h release.


Note You need to log in before you can comment on or make changes to this bug.